APROPOS(1)

NOME
apropos - pesquisa por nomes e descrições de páginas de manual

SINOPSE
apropos [-dalv?V] [-e|-w|-r] [-s lista] [-m sistema[,...]] [-M caminho] [-L localidade] [-C arquivo] palavra-chave ...

DESCRIÇÃO
Cada página de manual possui uma descrição curta disponível. apropos pesquisa nas descrições por ocorrências de palavra-chave. palavra-chave geralmente é uma expressão regular, como se (-r) tivesse sido usada, ou pode conter opções curingas (-w), ou corresponder a palavra-chave exata (-e). Ao usar essas opções, pode ser necessário colocar a palavra-chave entre aspas ou escapar (\) os caracteres especiais para impedir que o shell interprete-os. As regras padrões de correspondências permitem que estas sejam feitas em relação ao nome da página ou limites de uma palavra na descrição. O banco de dados pesquisado por apropos é atualizado pelo programa mandb. Dependendo de sua instalação, ele pode ser executado por um trabalho cron periódico ou pode precisar ser executado manualmente após novas páginas serem instaladas.

OPÇÕES

-d, --debug
    Emite mensagens de depuração.

-v, --verbose
    Emite mensagens de aviso detalhadas.

-r, --regex
    Interpreta cada palavra-chave como uma expressão regular. Esse é o comportamento padrão. Cada palavra-chave será comparada aos nomes e às descrições de páginas independentemente. Ela pode corresponder qualquer parte de cada uma. A correspondência não está limitada aos limites de uma palavra.

-w, --wildcard
    Interpreta cada palavra-chave como um padrão contendo caracteres curingas no estilo do shell. Cada palavra-chave será comparada com os nomes e as descrições de páginas independentemente. Se --exact também for usado, uma correspondência só será localizada se uma palavra-chave expandida corresponder a toda uma descrição ou nome de páginas. Do contrário, a palavra-chave também será permitida corresponder a limites de uma palavra na descrição.

-e, --exact
    Cada palavra-chave será comparada em sua exatidão com nomes e descrições de páginas.

-a, --and
    Exibe apenas itens que correspondam a todas as palavras-chaves fornecidas. O padrão é exibir itens que correspondam a qualquer palavra-chave.

-l, --long
    Não apara a saída à largura do terminal. Normalmente, a saída será truncada à largura do terminal para evitar resultados causados por seções NAME mal escritas.

-s lista, --sections lista, --section lista
    Pesquisa apenas as seções de manual fornecidas. lista é uma lista de seções separada pelo caractere de dois pontos ou vírgula. Se uma entrada na lista for uma única seção, por exemplo "3", então a lista de descrições exibida incluirá páginas nas seções "3", "3perl", "3x" e por aí vai; se uma entrada na lista possuir uma extensão, por exemplo "3perl", então a lista incluirá apenas páginas naquela parte exata da seção de manual.

-m sistema[,...], --systems=sistema[,...]
    Se sistema atual possuir acesso às descrições de páginas de manual do outro sistema operacional, é possível pesquisar nelas usando essa opção. Para pesquisar nas descrições de página de manual do NewOS, use a opção -m NewOS. O sistema especificado pode ser uma combinação de nomes de sistemas operacionais delimitados por vírgula. Para incluir uma pesquisa às descrições do whatis do sistema operacional nativo, inclua man como nome do sistema no texto do argumento. Essa opção vai sobrescrever a variável de ambiente $SYSTEM.

-M caminho, --manpath=caminho
    Especifica um conjunto alternativo de hierarquias de páginas de manual, separadas por caractere de dois pontos, a ser pesquisado. Por padrão, apropos usa a variável de ambiente $MANPATH, a menos que esteja vazia ou não definida, caso em que ele vai determinar um manpath apropriado baseado em sua variável de ambiente $PATH. Essa opção sobrescreve o conteúdo de $MANPATH.

-L localidade, --locale=localidade
    apropos geralmente vai determinar sua localidade atual por uma chamada à função C setlocale(3), a qual pergunta a várias variáveis de ambiente, possibilitando incluir $LC_MESSAGES e $LANG. Para temporariamente substituir o valor determinado, use essa opção para fornecer uma localidade diretamente para apropos. Note que isso não surtirá efeito até que a pesquisa por páginas seja iniciada. Saída como a mensagem de ajuda sempre será exibida na localidade inicialmente determinada.

-C arquivo, --config-file=arquivo
    Use esse arquivo de configuração de usuário em vez do padrão ~/.manpath.

-?, --help
    Imprime uma mensagem de ajuda e sai.

--usage
    Imprime uma mensagem curta e sai.

-V, --version
    Exibe informação da versão.

STATUS DE SAÍDA

0   Execução com sucesso do programa.

1   Erro de uso, de sintaxe ou no arquivo de configuração.

2   Erro operacional.

16  Nada foi localizado que correspondesse aos critérios especificados.

AMBIENTE

SYSTEM
    Se $SYSTEM estiver definido, ele surte o mesmo efeito que se fosse especificado como um argumento da opção -m.

MANPATH
    Se $MANPATH estiver definido, seu valor é interpretado como um caminho de pesquisa de hierarquia de páginas de manual, separadas por caractere de dois pontos, a ser usado.

MANWIDTH
    Se $MANWIDTH estiver definido, seu valor é usado como largura do terminal (veja a opção --long). Se não estiver definido, a largura do terminal será calculada usando o valor de $COLUMNS, um ioctl(2) se disponível, ou voltando para o padrão de 80 caracteres se todo resto falhar.

POSIXLY_CORRECT
    Se $POSIXLY_CORRECT estiver definido, ainda que com um valor nulo, a pesquisa padrão de apropos será feita como uma expressão regular estendida (-r). Hoje em dia, esse é o comportamento padrão.

ARQUIVOS

/usr/share/man/index.(bt|db|dir|pag)
    Um cache global de banco de dados index tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Um cache global de banco de dados index compatível com FHS.

/usr/share/man/.../whatis
    Um banco de dados de texto tradicional do whatis.

VEJA TAMBÉM
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).